FeedbackHandler (Oracle - Berkeley DB Java API)
Date: 2020-06-01

Package com.sleepycat.db

## Interface FeedbackHandler

-     public interface FeedbackHandler

  An interface specifying a function to be called to provide feedback.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `recoveryFeedback​(Environment environment, int percent)` | A function called with progress information when the database environment is being recovered.
    `void` | `upgradeFeedback​(Database database, int percent)` | A function called with progress information when the database is being upgraded.
    `void` | `verifyFeedback​(Database database, int percent)` | A function called with progress information when the database is being verified.

- - ### Method Detail

    - #### recoveryFeedback

          void recoveryFeedback​(Environment environment,
                                int percent)

      A function called with progress information when the database environment is being recovered.

      It is up to this function to display this information in an appropriate manner.

      Parameters:
        `environment` - A reference to the enclosing database environment.

        `percent` - The percent of the operation completed, specified as an integer value between 0 and 100.

    - #### upgradeFeedback

          void upgradeFeedback​(Database database,
                               int percent)

      A function called with progress information when the database is being upgraded.

      It is up to this function to display this information in an appropriate manner.

      Parameters:
        `database` - A reference to the enclosing database.

        `percent` - The percent of the operation completed, specified as an integer value between 0 and 100.

    - #### verifyFeedback

          void verifyFeedback​(Database database,
                              int percent)

      A function called with progress information when the database is being verified.

      It is up to this function to display this information in an appropriate manner.

      Parameters:
        `database` - A reference to the enclosing database.

        `percent` - The percent of the operation completed, specified as an integer value between 0 and 100.

Copyright (c) 1996, 2020 Oracle and/or its affiliates. All rights reserved.